import Vue from 'vue';
import VueRouter from 'vue-router';
// import store from '@/store/index';

Vue.use(VueRouter);

const routes = [
  {
    path: '/',
    name: 'index',
    meta: { title: '消息中心', isleftarrow: false },
    component: () => import('../views/index.vue'),
  },
  {
    path: '/isleave',
    name: 'isleave',
    meta: { title: '登录提示', isleftarrow: false },
    component: () => import('../views/isleave.vue'),
  },
  {
    path: '/leave/status',
    name: 'leave_status',
    meta: { title: '学校审核请假/退出', isleftarrow: false },
    component: () => import('../views/leave/status.vue'),
  },
  {
    path: '/leave/confirm',
    name: 'leave_confirm',
    meta: { title: '班主任确认学生退出', isleftarrow: false },
    component: () => import('../views/leave/confirm.vue'),
  },
];

const router = new VueRouter({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : 'msgconfirm',
  routes,
});

// router.beforeEach((to, form, next) => {
//   if (to.name == 'messageInfo_index') {
//     next();
//   }
//   store.commit('setUser');
//   store.commit('setClass');
//   store.dispatch('setting/checkCache');
//   let user = store.state.user;
//   if (user) {
//     console.log('已登录');
//   }
//   //下面是没登录的情况,需要跳转页面到用户未登录页
//   else console.log('未登录');
//   next();
// });

export default router;
